%define		_state		stable
%define		orgname		libkmahjongg
%define		qtver		4.8.0

Summary:	libkmahjongg
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	390c6757cc678522143c950841aaf409
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libsndfile-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libkmahjongg.

%package devel
Summary:	Development files for libkmahjongg
Summary(pl.UTF-8):	Pliki przydatne twórcom gier dla libkmahjongg
Summary(pt_BR.UTF-8):	Arquivos de inclusão do libkmahjongg
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
Development files for libkmahjongg.

%description devel -l pl.UTF-8
libkmahjongg - pliki dla programistów.

%description devel -l pt_BR.UTF-8
Este pacote detém os arquivos de inclusão necessários para compilar
aplicativos que usam bibliotecas do libkmajongg.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%clean
rm -rf $RPM_BUILD_ROOT

%post			-p /sbin/ldconfig
%postun			-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkmahjongglib.so.?
%attr(755,root,root) %{_libdir}/libkmahjongglib.so.*.*.*
%{_datadir}/apps/kmahjongglib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkmahjongglib.so
%{_includedir}/kmahjonggbackground.h
%{_includedir}/kmahjonggconfigdialog.h
%{_includedir}/kmahjonggtileset.h
%{_includedir}/libkmahjongg_export.h
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkmahjongg.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 6e7e628
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 3ced3a2
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e6abb1f
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4a301ae
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3c93d67
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6c077ca
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8b7a8d1
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 728fbf0
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 970d201
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> dd5b1b3
- updated to 4.12.1 (by update-kde4.sh)

* Wed Dec 25 2013 Witold Filipczyk <witekfl@poczta.onet.pl> ab0fd14
- new

